Update card details
Update the details of an issued card.
Only the fields for which you provide values will be updated. If you pass null, the existing value will be removed.
- Type: string ·card
Id min length:30max length:30Pattern: ^crd_[a-z0-9]{26}$requiredThe card's unique identifier.
The card fields to update.
- enumstatusconst:active
Set the card's status to
activeto activate aninactiveorsuspendedcard.If you submit this field, you cannot specify a
scheduled_activation_date. If you do, you receive ascheduled_activation_date_conflicts_with_activationerror.values- active
- Type: string ·referencemax length:256
Your reference.
- Type: object ·metadata
User's metadata.
- Type: integer · Format: int32expiry
_month min:1max:12The card's expiration month.
- Type: integer · Format: int32expiry
_year The card's expiration year.
- Type: string · Format: datescheduled
_revocation _date The card will be revoked at midnight UTC on the date specified.
- Format:
YYYY-MM-DD
- Format:
- Type: string · Format: daterevocation
_date deprecatedDeprecated. Use
scheduled_revocation_dateinstead.If you provide both fields, the
scheduled_revocation_datevalue overrides this value. - Type: string ·scheduled
_activation _date Date scheduling the card's first activation. Only applies to the initial activation of a card. Two formats are supported:
- Date only:
YYYY-MM-DD(treated as midnight UTC) - Date with round hour:
YYYY-MM-DDTHH:mmZ(UTC) orYYYY-MM-DDTHH:mm±HH:mm(offset)
Only round hours are allowed when a time is provided (
HH:00). The value must be at least the next round hour after the request time. - Date only:
- application/json
- 401
Unauthorized
- 404
Card not found
- application/json
- 500
Internal Server Error
curl 'https://{prefix}.api.sandbox.checkout.com/issuing/cards/crd_fa6psq242dcd6fdn5gifcq1491' \
--request PATCH \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"status": "active",
"reference": "X-123456-N11",
"metadata": {
"udf1": "metadata1",
"udf2": "metadata2",
"udf3": "metadata3",
"udf4": "metadata4",
"udf5": "metadata5"
},
"expiry_month": 5,
"expiry_year": 2025,
"scheduled_revocation_date": "2027-03-12",
"scheduled_activation_date": "2026-06-01T10:00Z"
}'
{
"id": "crd_fa6psq242dcd6fdn5gifcq1491",
"client_id": "cli_vkuhvk4vjn2edkps7dfsq6emqm",
"entity_id": "ent_fa6psq242dcd6fdn5gifcq1491",
"cardholder_id": "crh_d3ozhf43pcq2xbldn2g45qnb44",
"card_product_id": "pro_7syjig3jq3mezlc3vjrdpfitl4",
"user_id": "usr_fa6psq242dcd6fdn5gifcq1491",
"last_four": "1234",
"expiry_month": 5,
"expiry_year": 2025,
"status": "active",
"display_name": "JOHN KENNEDY",
"type": "string",
"billing_currency": "USD",
"issuing_country": "US",
"reference": "X-123456-N11",
"metadata": {
"udf1": "metadata1",
"udf2": "metadata2",
"udf3": "metadata3",
"udf4": "metadata4",
"udf5": "metadata5"
},
"scheduled_revocation_date": "2027-03-12",
"scheduled_activation_date": "2026-06-01T10:00Z",
"last_activated_on": "2019-09-10T10:11:12Z",
"root_card_id": "crd_fa6psq242dcd6fdn5gifcq1491",
"parent_card_id": "crd_qm26t52qz3yejjo2t4btqvxtzi",
"scheme": "mastercard",
"created_date": "2021-09-09T19:41:39Z",
"last_modified_date": "2021-09-09T19:41:39Z",
"_links": {
"self": {
"href": "https://{prefix}.api.checkout.com/issuing/cards/crd_fa6psq42dcdd6fdn5gifcq1491",
"actions": [
"GET"
],
"types": [
"application/json"
]
},
"credentials": {
"href": "https://{prefix}.api.checkout.com/issuing/cards/crd_fa6psq42dcdd6fdn5gifcq1491/credentials",
"actions": [
"GET"
],
"types": [
"application/json"
]
},
"revoke": {
"href": "https://{prefix}.api.checkout.com/issuing/cards/crd_fa6psq42dcdd6fdn5gifcq1491/revoke",
"actions": [
"POST"
],
"types": [
"application/json"
]
},
"controls": {
"href": "https://{prefix}.api.checkout.com/issuing/controls?target_id=crd_fa6psq42dcdd6fdn5gifcq1491",
"actions": [
"GET"
],
"types": [
"application/json"
]
}
}
}